Encapsulates an input request.

author | Hans Lellelid <hans@xmpl.org> (Phing)
author | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
version | $Id$
package | phing.input

### Methods

## __construct()

    __construct(string $prompt)

### Parameters

#### $prompt

`string`

The prompt to show to the user. Must not be null.

## Return the default value to use.

    getDefaultValue() : mixed

### Returns

`mixed`

## Retrieves the user input.

    getInput()

## Retrieves the prompt text.

    getPrompt()

## Return the default value to use.

    getPromptChar() : string

### Returns

`string`

## Is the user input valid?

    isInputValid()

## Set the default value to use.

    setDefaultValue(mixed $v)

### Parameters

#### $v

`mixed`

## Sets the user provided input.

    setInput($input)

### Parameters

#### $input

## Set the default value to use.

    setPromptChar(string $c)

### Parameters

#### $c

`string`

### Properties

##

    $defaultValue

##

    $input

##

    $prompt

##

    $promptChar